namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void LoveDuetButton_Click(object sender, EventArgs e)
        {
            UpdateCatBtns(loveDuetButton, loveDuetActiveBackground);
            /*loveDuetSongs = allSongs.Where(song => song.SongGenre.Contains("A1"))
                                .OrderByDescending(song => song.Plays) 
                                .ToList();*/
            string query = SetQueryforSQL("A1"); // Set the query for SQL to filter by genre "F1"
            var loveDuetSongs = SearchSongs_Mysql(query);
            currentPage = 0;
            totalPages = (int)Math.Ceiling((double)loveDuetSongs.Count / itemsPerPage);

            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(loveDuetSongs);
        }
    }
}